### A free/open-source library for quantitative finance

Functions
ql/math/matrixutilities/qrdecomposition.hpp File Reference

QR decomposition. More...

`#include <ql/math/matrix.hpp>`
Include dependency graph for qrdecomposition.hpp:

## Functions

Disposable< std::vector< Size > > | qrDecomposition (const Matrix &A, Matrix &q, Matrix &r, bool pivot=true)
| QR decompoisition.
Disposable< Array > | qrSolve (const Matrix &a, const Array &b, bool pivot=true, const Array &d=Array())
| QR Solve.

## Detailed Description

QR decomposition.